<style type="text/css">
    #autoSuggestionsList > li {
        background: none repeat scroll 0 0 wheat;
        border-bottom: 1px solid #E3E3E3;
        list-style: none outside none;
        padding: 3px 10px 3px 15px;
        margin-right: 15px;
        width: 138px;
        text-align: center;
        top: 107px;
        right: 354px;
    }

    #autoSuggestionsList > li a {
        color: #800000;
    }

    .auto_list {
        border: 1px solid #E3E3E3;
        border-radius: 5px 5px 5px 5px;
        position: absolute;
    }

    .form .select {
        padding: 4px 1px;
    }
</style>
<script type="text/javascript">

    function ajaxSearch() {

        var input_data = $('#pi_name').val();
        if (input_data.length === 0) {
            $('#suggestions').hide();
        } else {
            var post_data = {
                'pi_name': input_data,
                '<?php echo $this->security->get_csrf_token_name(); ?>': '<?php echo $this->security->get_csrf_hash(); ?>'
            };

            $.ajax({
                type: "POST",
                url: "<?php echo base_url(); ?>patient/admin_checkupinfo/autocomplete/",
                data: post_data,
                success: function (data) {
                    // return success
                    if (data.length > 0) {
                        $('#suggestions').show();
                        $('#autoSuggestionsList').addClass('auto_list');
                        $('#autoSuggestionsList').html(data);
                    }
                }
            });

        }
    }


    $(document).on("click", ".branch", function () {

        var br_id = this.id;
        var br_data = br_id.split("-");
        jQuery("input[name='pi_name']").val(br_data[0]);
        jQuery("#chi_pi_id").html(br_data[1]);
        jQuery("input[name='chi_pi_id']").val(br_data[1]);
        jQuery("input[name='chi_branch_id']").val(br_data[2]);
        jQuery("#branch_name").html(br_data[3]);
        jQuery("input[name='chi_pi_num']").val(br_data[4]);

        jQuery("#suggestions").hide();
    });

    // enable disable next checkup dropdown
    $(function () {
        $('#chk1').click(function () {
            var cb1 = $('#chk1').is(':checked');
            $('#date2').prop('disabled', !cb1);
            $('#chi_nextmove').prop('disabled', !cb1);
            $('#chi_xtype_id').prop('disabled', !cb1);
            $('#chi_xsy_id').prop('disabled', !cb1);
            $('#chi_xmed_id').prop('disabled', !cb1);
        });
        // next checkup dropdown
        $("#chi_xtype_id,#chi_xsy_id,#chi_xmed_id").hide();
        $("#chi_nextmove").change(function () {
            val = $(this).val();
            if (val == 2) {
                $("#chi_xsy_id").show();
                $("#chi_xtype_id").hide();
                $("#chi_xmed_id").hide();

            } else if (val == 1) {
                $("#chi_xtype_id").show();
                $("#chi_xsy_id").hide();
                $("#chi_xmed_id").hide();

            } else if (val == 3) {
                $("#chi_xmed_id").show();
                $("#chi_xtype_id").hide();
                $("#chi_xsy_id").hide();
            } else {
                $("#chi_xtype_id,#chi_xsy_id,#chi_xmed_id").hide();
            }
        });
        $("#chi_type_id,#chi_sy_id,#chi_med_id").hide();

        $("#chi_move_type").change(function () {
            val = $(this).val();
            if (val == 2) {
                $("#chi_sy_id").show();
                $("#chi_type_id").hide();
                $("#chi_med_id").hide();

            } else if (val == 1) {
                $("#chi_type_id").show();
                $("#chi_sy_id").hide();
                $("#chi_med_id").hide();

            } else if (val == 3) {
                $("#chi_med_id").show();
                $("#chi_type_id").hide();
                $("#chi_sy_id").hide();
            } else {
                $("#chi_type_id,#chi_sy_id,#chi_med_id").hide();
            }
        });
    });
</script>

<script type="text/javascript">

    $(document).ready(function () {
            $("#date").datepicker({
                dateFormat: "yy/mm/dd",
                changeMonth: true,
                changeYear: true,
                onSelect: function (selectedDate) {
                    $("#date2").datepicker("option", "minDate", selectedDate);
                }
            });
            $("#date2").datepicker({
                dateFormat: "yy/mm/dd",
                changeMonth: true,
                changeYear: true,
                minDate: 0
            });
            var d = new Date();
            var twoDigitMonth = (d.getMonth() + 1) + "";
            if (twoDigitMonth.length == 1)
                twoDigitMonth = "0" + twoDigitMonth;
            var twoDigitDate = d.getDate() + "";
            if (twoDigitDate.length == 1)
                twoDigitDate = "0" + twoDigitDate;
            var todaysM = d.getFullYear() + "/" + twoDigitMonth + "/" + twoDigitDate;
            if ($("#date,#date2,#date3,#date4").val() == "") {
                $("#date,#date2,#date3,#date4").val(todaysM);
            }
        }
    );</script>


<!-- Form Start -->
<div id="dialog-confirm" style="  display: none;">
    <p>هل تريد طباعة المعاينات القادمة؟</p>
</div>
<div class="block">
    <div class="title lightTextShadow">معاينات المرضى</div>

    <div class="content">
        <?php echo form_open('patient/admin_checkupinfo/create', array('id' => 'checkupinfo_new')) ?>

        <fieldset class="form boxStyle">
            <?php
            echo $this->template->flash_msg();
            ?>

            <!-- /////////// 3 columns start /////////-->
            <div class="inlineBlock">
                <label class="label">نوع الحركة</label>
                <select class="select sm rnd5" id="chi_move_type" name="chi_move_type">
                    <option>-اختر-</option>
                    <option value="1">المعاينات</option>
                    <option value="2">العمليات</option>
                    <option value="3">التجهيزات الطبية</option>
                </select>

                <?php echo form_dropdown('chi_type_id', $checkup_category, '', 'class="select sm rnd5" id="chi_type_id" '); ?>
                <?php echo form_dropdown('chi_sy_id', $surgery_category, '', 'class="select sm rnd5" id="chi_sy_id" '); ?>
                <?php echo form_dropdown('chi_med_id', $medicaleq_category, '', 'class="select sm rnd5" id="chi_med_id" '); ?>
                <?php echo form_error('chi_med_id'); ?>
            </div>
            <br/>

            <div class="inlineBlock">
                <label for="suggest1" class="label">اسم المريض <em>*</em>:</label>
                <input class="textBox med rnd5" name="pi_name" id="pi_name" type="text" onkeyup="ajaxSearch();">
                <input type="hidden" name="chi_pi_num" id="chi_pi_num" value="">

                <div class="something">
                    <div id="suggestions">
                        <div id="autoSuggestionsList">
                        </div>
                    </div>
                </div>

            </div>

            <div class="inlineBlock">
                <label class="label">رقم الحالة :</label><span id="chi_pi_id"></span>
                <input type="hidden" name="chi_pi_id" value=""/><br/>
            </div>

            <div class="inlineBlock">
                <label class="label">الفرع :</label><span id="branch_name"></span><br/>
                <input type="hidden" name="chi_branch_id" value=""/>
            </div><br/>

            <div class="inlineBlock">
                <label for="date" class="label">تاريخ المعاينة :</label>
                <input class="inputDate textBox rnd5 med" id="date" name="chi_date" value=""/><br/>
            </div>

            <div class="inlineBlock">
            <label for="chi_cost" class="label">التكلفة :</label>
            <input id="chi_price" class="textBox sml3 rnd5" name="chi_cost" value="<?= set_value('chi_cost') ?>"/><br/>
            <?php echo form_error('chi_cost'); ?>
            </div><br/>

            <div class="inlineBlock">
                <label class="label">معاينة قادمة :</label>
                <input type="checkbox" id="chk1"/><br/>
            </div>
            <div class="inlineBlock">
                <label for="date2" class="label">تاريخ المعاينة القادمة :</label>
                <input class="inputDate2 textBox  rnd5 sml3" id="date2" name="chi_nextdate"
                       value="<?= set_value('chi_nextdate') ?>" disabled/><br/>
                <?php echo form_error('chi_nextdate'); ?>
            </div>

            <div class="inlineBlock">
                <label class="label">نوع الحركة</label>
                <select class="select sm rnd5" id="chi_nextmove" name="chi_nextmove" disabled>
                    <option>-اختر-</option>
                    <option value="1">المعاينات</option>
                    <option value="2">العمليات</option>
                    <option value="3">التجهيزات الطبية</option>
                </select>
                <label class="label">نوع المعاينة القادمة :</label>
                <?php echo form_dropdown('chi_xtype_id', $checkup_category, '', 'class="select sml rnd5" id="chi_xtype_id" disabled '); ?>
                <?php echo form_error('chi_xtype_id'); ?>
                <?php echo form_dropdown('chi_xsy_id', $surgery_category, '', 'class="select sml rnd5" id="chi_xsy_id" disabled '); ?>
                <?php echo form_error('chi_xsy_id'); ?>
                <?php echo form_dropdown('chi_xmed_id', $medicaleq_category, '', 'class="select sml rnd5" id="chi_xmed_id" disabled '); ?>
                <?php echo form_error('chi_xmed_id'); ?>
            </div>
            <br/>
            <!-- /////////// 3 columns end /////////-->


            <!-- /////////// 2 columns start /////////-->
            <div class="inlineBlock">
                <label for="chi_phone" class="label">رقم الهاتف :</label>
                <input id="chi_phone" class="textBox med2 rnd5" name="chi_phone" value="<?= set_value('chi_phone') ?>"/>
            </div>
            <div class="inlineBlock">
                <label for="hospital" class="label">المستشفى :</label>
                <input id="hospital" class="textBox med2 rnd5" name="chi_hospital"
                       value="<?= set_value('chi_hospital') ?>"/><br/>
            </div>
            <br/>
            <!-- /////////// 2 columns end /////////-->

            <label for="chi_address" class="label">العنوان :</label>
            <input id="title" class="textBox lrg rnd5" name="chi_address" value="<?= set_value('chi_address') ?>"/><br/>

            <label class="label">الإجراءات :</label>
            <textarea rows="6" cols="0" class="textArea lrg rnd5"
                      name="chi_steps"><?= set_value('chi_steps') ?></textarea><br/><br/>

            <label class="label">ملاحظات :</label>
            <textarea rows="6" cols="0" class="textArea lrg rnd5"
                      name="chi_notice"><?= set_value('chi_notice') ?></textarea><br/><br/>

            <div class="center">
                <input id="clearFilds" type="reset" value="تفريغ الحقول"
                       class="button sub inlineBlock rnd3 lightTextShadow"/>
                <input id="print" type="submit" name="action" value="حفظ"
                       class="button sml inlineBlock rnd5 drkTextShadow"/>
                <input id="savePrint" type="submit" name="action" value="حفظ وطباعة"
                       class="button sml inlineBlock rnd5 drkTextShadow"/>
                <input id="list" type="submit" name="action" value="القائمة"
                       class="button sml inlineBlock rnd5 drkTextShadow"/>

            </div>
        </fieldset>
        </form>
    </div>
</div><!-- Form End -->
